## intltool-debian 0.30+20040211

=== debian/changelog ===
intltool-debian (0.30+20040211) unstable; urgency=low

  * Sync CVS: intltool 2004/02/11.
  * intltool-merge:  When a Template line has a comment just above, it was
    concatenated with the previous template.  Closes: #232070

 -- Denis Barbier <barbier@debian.org>  Wed, 11 Feb 2004 08:55:21 +0100

intltool-debian (0.27.2+20031023) unstable; urgency=low

  * intltool-extract:  In order to have po-debconf put templates
    type as a comment in PO files, this script detects if the
    INTLTOOL_DEBIAN_TYPE environment variable is set and equal
    to 'po-debconf'.  This is a dirty hack until a better solution
    is found via command-line options.
  * intltool-extract:  Change order of automatic comments in PO files,
    they previously looked like
      #. Comments extracted from source files
      #. Description
    and now
      #. Type: select
      #. Description
      #. Comments extracted from source files
    Author comments are the most important part, so put it near English
    text to catch translators' attention.

 -- Denis Barbier <barbier@debian.org>  Thu, 23 Oct 2003 23:04:03 +0200

intltool-debian (0.27.2+20031003) unstable; urgency=low

  * intltool-merge:  If a comment line did contain a colon without
    any space character before it, the line was not removed.

 -- Denis Barbier <barbier@debian.org>  Sat,  4 Oct 2003 00:53:04 +0200

intltool-debian (0.27.2+20030930) unstable; urgency=low

  * New upstream release: intltool 0.27.2
  * Upstream release handles non-ASCII msgids, but this feature is disabled
    until sarge is released to ensure that gettext 0.12 is available.
  * Recognize comments in rfc822deb format, i.e. lines beginning with
    a hash sign are put as comments in PO files.
    Such lines were already discarded by intltool-merge, except when
    they contain a colon.  In this version, they are always discarded.
  * Bump Standards-Version: 3.6.1

 -- Denis Barbier <barbier@debian.org>  Tue, 30 Sep 2003 22:05:24 +0200

intltool-debian (0.26+20030525) unstable; urgency=low

  * intltool-update:  Comment lines are not taken into account when
    determining if the .pot file has changed.

 -- Denis Barbier <barbier@debian.org>  Sun, 25 May 2003 01:12:25 +0200

intltool-debian (0.26+20030523) unstable; urgency=low

  * New upstream release: intltool 0.26
  * intltool-update:  When only POT-Creation-Date has changed in the
    .pot file, this file is not updated.

 -- Denis Barbier <barbier@debian.org>  Fri, 23 May 2003 23:01:03 +0200

intltool-debian (0.25+20030419) unstable; urgency=low

  * Initial public release
  * This is a rearrangement of the po-debconf package needed so
    that other packages managing RFC822 compliant files can use
    features similar to those provided by po-debconf.
    (Closes: #171377)
  * This package contains the modified intltool scripts, previously
    shipped in /usr/share/po-debconf, and now in /usr/share/intltool-debian.
  * Po-debconf will depend on this package when it enters Debian.
  * Changes are reported upstream, so intltool and intltool-debian
    should converge; as intltool-debian is still moving, having
    a separate package helps making quick fixes without breaking
    GNOME packages.

 -- Denis Barbier <barbier@debian.org>  Sat, 19 Apr 2003 23:28:43 +0200

## intltool-debian 0.30+20040212

=== debian/changelog ===
intltool-debian (0.30+20040212) unstable; urgency=low

  * Intltool-merge uses Text::Wrap to word-wrap translated templates.
    But when a long line begins with a space and has many non-space
    characters, it is split.  The resulting template is then wrongly
    formatted by debconf.  The current fix is to detect such lines
    and put them together.  Closes: #236228
    In fact there seems to be no reason to reformat the full templates
    file, but this change is somewhat drastic and care must be taken.
  * Handle escaped commas in __Choices fields.  Those escapes are a
    cdebconf extension, so until it is accepted by debconf, this new
    feature won't be documented.  Bugreport and patch sent by
    Matt Kraai, thanks.  Closes: #241188

 -- Denis Barbier <barbier@debian.org>  Thu,  1 Apr 2004 00:53:09 +0200

## intltool-debian 0.30+20040213

=== Makefile ===

prefix  = /usr/local
DESTDIR	=

all:
	@chmod a+x intltool-bin/intltool-*

clean:
	@:

install:
	@[ -d $(DESTDIR)$(prefix)/share/intltool-debian ] || mkdir -p $(DESTDIR)$(prefix)/share/intltool-debian
	install -m 0755 intltool-bin/intltool-* $(DESTDIR)$(prefix)/share/intltool-debian

deb:
	fakeroot debian/rules clean
	dh_clean
	dpkg-buildpackage -rfakeroot -ICVS -I.cvsignore -I.scvsrc

=== debian/changelog ===
intltool-debian (0.30+20040213) unstable; urgency=low

  * intltool-extract:  A template without translatable fields caused
    bogus comments in PO files, the next template had a wrong type.
    Closes: #260086  Thanks Pierre Machard.

 -- Denis Barbier <barbier@debian.org>  Sun, 18 Jul 2004 23:58:14 +0200

=== debian/control ===
Source: intltool-debian
Section: devel
Priority: optional
Maintainer: Denis Barbier <barbier@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: perl, debhelper (>= 4.0.0)

Package: intltool-debian
Architecture: all
Depends: perl, gettext
Description: Help i18n of RFC822 compliant config files
 Intltool is a bunch of scripts written by the GNOME project to
 internationalize many different file formats.  This package is
 a slightly modified version which adds support for RFC822
 compliant config files, e.g. Debconf templates files.

## intltool-debian 0.34.1+20050828ubuntu1

=== debian/changelog ===
intltool-debian (0.34.1+20050828ubuntu1) dapper; urgency=low

  * If a template has an empty short description, check for translations of
    the extended description before deciding that it is untranslated.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Mar 2006 13:16:51 +0000

intltool-debian (0.34.1+20050828) unstable; urgency=low

  * Update to intltool 0.34.1; there is no change in handling of
    RFC822 files.
  * intltool-merge: When a localized short description contains a newline,
    it is replaced by a space and a warning is reported.  Closes: #308581
    Thanks Christian Perrier.
  * debian/control: Bump Standards-Version: 3.6.2

 -- Denis Barbier <barbier@debian.org>  Sun, 28 Aug 2005 00:03:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Denis Barbier <barbier@debian.org>
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 Build-Depends-Indep: perl, debhelper (>= 4.0.0)
 
 Package: intltool-debian

## intltool-debian 0.35.0%2B20060710.4

=== debian/changelog ===
intltool-debian (0.35.0+20060710.4) unstable; urgency=medium

  * QA upload.
  * Fix "Unescaped left brace in regex is deprecated":
    add \ before literal braces in intltool-bin/intltool-update.
    (Closes: #787537)
  * Add a minimal testsuite:
    Run perl syntax check; modelled after pkg-perl-autopkgtest's syntax.t.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2015 14:33:38 +0200

intltool-debian (0.35.0+20060710.3) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Include ${perl:Depends} in Depends: field.
      - Remove some extra spaces.
  * debian/copyright:
      - Include license GPL-2+ for one file.
      - Include old maintainers.
  * debian/rules: updated to reduced format.
  * debian/docs: Include AUTHORS file.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Fri, 07 Aug 2015 12:40:00 -0300

intltool-debian (0.35.0+20060710.2) unstable; urgency=medium

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Add dependency on ${misc:Depends}, recommended when using debhelper.
  * Set debhelper compatibility level to 9.
  * Add recommendend debian/rules targets: build-arch, build-indep.
  * Use dh_prep instead of dh_clean -k, which is deprecated.
  * Explicitly refer to "GPL-2" in debian/copyright instead of pointing to the
    versionless symlink "GPL".

 -- Emanuele Rocca <ema@debian.org>  Mon, 04 May 2015 23:04:21 +0200

intltool-debian (0.35.0+20060710.1) unstable; urgency=low

  * New maintainer. 

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun,  1 Oct 2006 18:19:23 +0200

intltool-debian (0.35.0+20060710) unstable; urgency=low

  * Sync CVS: intltool 2006/07/10.

  * intltool-extract: Fix numbering of template fields.  Closes: #377354
    Thanks Florentin Duneau for the report and Thomas Huriaux for the patch.

 -- Denis Barbier <barbier@debian.org>  Mon, 10 Jul 2006 21:43:23 +0200

intltool-debian (0.34.2+20060621) unstable; urgency=low

  * intltool-extract: Fields for the first template are now numbered from
    1001, for the 2nd template from 2001 and so forth.  All references are
    written into the POT file, which allows podebconf-display-po to handle
    strings which appear several times in templates.  Closes: #374463
    Thanks Yuri Kozlov for the report and Thomas Huriaux for the fix.
    This change will also let podebconf-display-po do a better job when
    recreating original templates file, in particular it will be able to
    handle cases when other fields follow Description, as has been discussed
    in #366227.

 -- Denis Barbier <barbier@debian.org>  Wed, 21 Jun 2006 23:34:31 +0200

intltool-debian (0.34.2+20060512) unstable; urgency=low

  * Sync CVS: intltool 2006/05/12.

  * intltool-extract: Use C++ comments '//' instead of C comments '/*...*/'
    to allow '*/' in comments.  Closes: #366450  Thanks Christian Perrier

  * debian/control: Bump Standards-Version: 3.7.2, no changes are needed.

  * debian/control: As told by lintian, replace Build-Depends-Indep: debhelper
    by Build-Depends: debhelper because debhelper programs are run by the
    clean target.

 -- Denis Barbier <barbier@debian.org>  Sat, 13 May 2006 01:49:05 +0200

intltool-debian (0.34.2+20060415) unstable; urgency=low

  * intltool-update: This program called /usr/bin/file to determine file
    encoding.  It is useless in intltool-debian, so this call is dropped
    indtead of adding an unnecessary dependency.  Closes: #362814
    Thanks Marc Haber

 -- Denis Barbier <barbier@debian.org>  Sat, 15 Apr 2006 22:56:35 +0200

intltool-debian (0.34.2+20060322) unstable; urgency=low

  * intltool-merge: Under some special circumstances, an English field
    composed of several paragraphs may contain an empty string.  Of course
    this empty string has no translation, and thus the whole paragraph is
    untranslated.  A better approach is to assume that an empty string
    has an empty translation.  Closes: #357948  Thanks Colin Watson
  * Update to intltool 0.34.2; there is no change in handling of
    RFC822 files.

 -- Denis Barbier <barbier@debian.org>  Tue, 28 Mar 2006 23:38:30 +0200

intltool-debian (0.34.1+20060220) unstable; urgency=low

  * intltool-merge: Do not reformat translated templates.  This will produce
    very long lines, but this is already the case with locale or keyboard
    choosers, so there should be no problem with (c)debconf.

  * intltool-merge: Comments are now properly discarded.

  * Comments in the form '#flag:' are interpreted by intltool-extract and
    intltool-merge.  They are helpful when a translatable field is composed
    of several strings.  Recognized keywords are:
      - #flag:translate: Write only the specified strings into PO files.
      - #flag:comment: Comments can be defined for each individual string.
      - #flag:partial: This flag prints translated strings even if they are
        not fully translated.
  * See full documentation in po-debconf(7).
  * Slightly modify intltool-merge and intltool-extract so that inner routines
    are more similar and thus less error prone.

  * Add intltool authors into debian/copyright.

 -- Denis Barbier <barbier@debian.org>  Wed, 15 Mar 2006 21:44:03 +0100

## intltool-debian 0.35.0%2b20060710.2

=== debian/control ===
Source: intltool-debian
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl

Package: intltool-debian
Architecture: all
Depends: ${misc:Depends}, perl, gettext
Description: Help i18n of RFC822 compliant config files
 Intltool is a bunch of scripts written by the GNOME project to
 internationalize many different file formats.  This package is
 a slightly modified version which adds support for RFC822
 compliant config files, e.g. Debconf templates files.

## intltool-debian 0.35.0+20060710

=== debian/control ===
Source: intltool-debian
Section: devel
Priority: optional
Maintainer: Denis Barbier <barbier@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.0.0)
Build-Depends-Indep: perl

Package: intltool-debian
Architecture: all
Depends: perl, gettext
Description: Help i18n of RFC822 compliant config files
 Intltool is a bunch of scripts written by the GNOME project to
 internationalize many different file formats.  This package is
 a slightly modified version which adds support for RFC822
 compliant config files, e.g. Debconf templates files.

## intltool-debian 0.35.0+20060710.1

=== Makefile ===
--- 
+++ 
@@ -15,5 +15,5 @@
 deb:
 	fakeroot debian/rules clean
 	dh_clean
-	dpkg-buildpackage -rfakeroot -ICVS -I.cvsignore -I.scvsrc
+	dpkg-buildpackage -rfakeroot -I.git -I.gitignore

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: intltool-debian
 Section: devel
 Priority: optional
-Maintainer: Denis Barbier <barbier@debian.org>
+Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 4.0.0)
 Build-Depends-Indep: perl

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) prefix=/usr
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdocs AUTHORS
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/intltool-debian prefix=/usr install

	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
# Nothing to do

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## intltool-debian 0.35.0+20060710.1osso1

=== debian/changelog ===
intltool-debian (0.35.0+20060710.1osso1) unstable; urgency=low

  * Added GPL license to debian/copyright. 

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon,  3 Sep 2007 14:39:23 +0300

## intltool-debian 0.35.0+20060710.2

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 	$(MAKE) prefix=/usr
@@ -20,7 +23,7 @@
 binary-indep: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 	dh_installdocs AUTHORS
 	dh_installdirs

## intltool-debian 0.35.0+20060710.4

=== debian/control ===
Source: intltool-debian
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl

Package: intltool-debian
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, gettext
Description: Help i18n of RFC822 compliant config files
 Intltool is a bunch of scripts written by the GNOME project to
 internationalize many different file formats. This package is
 a slightly modified version which adds support for RFC822
 compliant config files, e.g. Debconf templates files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PREFIX=/usr
%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/intltool-debian prefix=/usr install

## intltool-debian 0.35.0+20060710.5

=== debian/changelog ===
intltool-debian (0.35.0+20060710.5) unstable; urgency=medium

  * QA upload.
  * (Almost) no change rebuild for Debian Buster.
  * Apply "wrap-and-sort -abst".
  * debian/control:
    + Declare compliance with Debian Policy 4.3.0.
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat file.
    + Use "Rules-Requires-Root: no".
    + Add Vcs-* fields to point to git repository under Salsa
      Debian Group.
  * debian/rules:
    + Use "dh_missing --fail-missing".
    + Wrap installation into dh_auto_install.
  * debian/copyright:
    + Use secure uri when possible.
  * debian/changelog: Remove trailing spaces.
  * intltool-patches/intltool-update.patch: Fix a typo.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Jan 2019 13:51:48 -0500

=== debian/control ===
Source: intltool-debian
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.3.0
Build-Depends:
 debhelper-compat (= 12),
Build-Depends-Indep:
 perl,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/intltool-debian.git
Vcs-Browser: https://salsa.debian.org/debian/intltool-debian

Package: intltool-debian
Architecture: all
Depends:
 gettext,
 ${misc:Depends},
 ${perl:Depends},
Description: Help i18n of RFC822 compliant config files
 Intltool is a bunch of scripts written by the GNOME project to
 internationalize many different file formats. This package is
 a slightly modified version which adds support for RFC822
 compliant config files, e.g. Debconf templates files.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PREFIX=/usr

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_missing:
	dh_missing --fail-missing

## intltool-debian 0.35.0+20060710.6

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,9 @@
 clean:
 	@:
 
+test:
+	prove --verbose t/*.t
+
 install:
 	@[ -d $(DESTDIR)$(prefix)/share/intltool-debian ] || mkdir -p $(DESTDIR)$(prefix)/share/intltool-debian
 	install -m 0755 intltool-bin/intltool-* $(DESTDIR)$(prefix)/share/intltool-debian

=== debian/changelog ===
intltool-debian (0.35.0+20060710.6) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + intltool-debian: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 11:45:49 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  gettext,
  ${misc:Depends},
  ${perl:Depends},
+Multi-Arch: foreign
 Description: Help i18n of RFC822 compliant config files
  Intltool is a bunch of scripts written by the GNOME project to
  internationalize many different file formats. This package is

## intltool-debian 0.35.0+20060710.6build1

=== debian/changelog ===
intltool-debian (0.35.0+20060710.6build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 11:33:49 +0100

## intltool-debian 0.35.0+20060710.6+rb11

=== debian/changelog ===
intltool-debian (0.35.0+20060710.6+rb11) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + intltool-debian: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 11:45:49 +0100
